[POST] ~/searchagent
Sends a search agent request.
Request Information
URI Parameters
None.
Body Parameters
The model.
An instance of: SearchAgentModel| Name | Description | Type | |
|---|---|---|---|
|
Gets or sets the firstName. |
string |
This value is required and must not be omitted. |
|
|
Gets or sets the lastName. |
string |
This value is required and must not be omitted. |
|
|
Gets or sets the salutation. |
string | ||
|
Gets or sets the town. |
string | ||
|
Gets or sets the email address. |
string |
This value is required and must not be omitted. |
|
|
Gets or sets the duration. |
integer |
This value is required and must not be omitted. |
|
|
Gets or sets URL of the unsubscribe. |
string | ||
|
Gets or sets URL of the imprint. |
string | ||
|
Gets or sets URL of the privacy statement. |
string | ||
|
Gets or sets a value indicating whether the consent data usage. |
boolean | ||
|
Gets or sets a value indicating whether the consent data usage email. |
boolean | ||
|
Gets or sets a value indicating whether the consent data usage telephone SMS. |
boolean | ||
|
Comma separated list of manufacturer ids. |
Collection of string | ||
|
Comma separated list of series ids. |
Collection of string | ||
|
Comma separated list of model ids.. |
Collection of string | ||
|
Model extension. |
string | ||
|
Comma separated list of bodies. The bodies are fetched through variants. |
Collection of string | ||
|
Comma separated list of body groups. |
Collection of string | ||
|
Comma separated list of variants. |
Collection of string | ||
|
Comma separated list of fuellings. |
Collection of string | ||
|
Comma separated list of transmissions. |
Collection of string | ||
|
Comma separated list of usage type ids. |
Collection of string | ||
|
Comma separated list of drive ids. |
Collection of string | ||
|
Comma separated list of emission class ids. |
Collection of string | ||
|
Minimum mileage in km. |
integer | ||
|
Maximum mileage in km. |
integer | ||
|
Minimum first registration in year. |
integer | ||
|
Maximum first registration in year. |
integer | ||
|
Minimal price in EUR. |
integer | ||
|
Maximal price in EUR. |
integer | ||
|
Minimal financing rat ein EUR. |
integer | ||
|
Maximal financing rate in EUR. |
integer | ||
|
Minimum leasing rate in EUR. |
integer | ||
|
Maximum leasing rate in EUR. |
integer | ||
|
Minimum installment rate in EUR. |
integer | ||
|
Maximum installment rate in EUR. |
integer | ||
|
Minimum CO2 emission in g/km. |
integer | ||
|
Maximum CO2 emission in g/km. |
integer | ||
|
Minimum power in kw. |
integer | ||
|
Maximal power in kw. |
integer | ||
|
Minimal horsepower in hp. |
integer | ||
|
Maximal horsepower in hp. |
integer | ||
|
Minimal seat count. |
integer | ||
|
Maximal seat count. |
integer | ||
|
Vat deductible |
boolean | ||
|
Comma separated list of interior color ids. |
Collection of string | ||
|
Comma separated list of exterior color ids. |
Collection of string | ||
|
Has metallic exterior color. |
boolean | ||
|
Has four wheel drive. |
boolean | ||
|
Comma separated list of upholstery ids. |
Collection of string | ||
|
Comma separated list of option ids. |
Collection of string | ||
|
Comma separated list of equipment ids. |
Collection of string | ||
|
Zip Code. |
string | ||
|
Maximal distance to the zip Code in km. |
integer | ||
|
Number of the vehicle. |
string | ||
|
Comma separated list of promotion ids. |
Collection of string | ||
|
Comma separated list of location ids. |
Collection of string | ||
|
Comma separated list of guarantee ids. |
Collection of string | ||
|
Has guarantee. |
boolean | ||
|
Comma separated list of quality seal ids. |
Collection of string | ||
|
Has quality seal. |
boolean | ||
|
Comma separated list of service package ids. |
Collection of string | ||
|
Has service package. |
boolean | ||
|
Has MINI minimalism seal (DEPRECATED). |
boolean | ||
|
Has BMW efficient dynamics seal (DEPRECATED). |
boolean | ||
|
Vicinity home zipcode. |
string |
Request Formats
application/json, text/json
{
"firstname": "sample string 1",
"lastName": "sample string 2",
"salutation": "sample string 3",
"telephone": "sample string 4",
"emailAddress": "sample string 5",
"duration": 6,
"unsubscribeUrl": "sample string 7",
"imprintUrl": "sample string 8",
"privacyUrl": "sample string 9",
"consentDataUsage": true,
"consentDataUsageEmail": true,
"consentDataUsageTelephoneSms": true,
"manufacturers": [
"sample string 1",
"sample string 2"
],
"series": [
"sample string 1",
"sample string 2"
],
"models": [
"sample string 1",
"sample string 2"
],
"modelext": "sample string 13",
"bodies": [
"sample string 1",
"sample string 2"
],
"bodygroups": [
"sample string 1",
"sample string 2"
],
"variants": [
"sample string 1",
"sample string 2"
],
"fuellings": [
"sample string 1",
"sample string 2"
],
"transmissions": [
"sample string 1",
"sample string 2"
],
"usagetypes": [
"sample string 1",
"sample string 2"
],
"drives": [
"sample string 1",
"sample string 2"
],
"emissionclasses": [
"sample string 1",
"sample string 2"
],
"mileagemin": 1,
"mileagemax": 1,
"registermin": 1,
"registermax": 1,
"pricemin": 1,
"pricemax": 1,
"financingratemin": 1,
"financingratemax": 1,
"leasingratemin": 1,
"leasingratemax": 1,
"installmentratemin": 1,
"installmentratemax": 1,
"co2emissionmin": 1,
"co2emissionmax": 1,
"powermin": 1,
"powermax": 1,
"horsepowermin": 1,
"horsepowermax": 1,
"seatsmin": 1,
"seatsmax": 1,
"vatdeductible": true,
"interiorcolors": [
"sample string 1",
"sample string 2"
],
"paints": [
"sample string 1",
"sample string 2"
],
"metallic": true,
"allwheeldrive": true,
"upholsteries": [
"sample string 1",
"sample string 2"
],
"options": [
"sample string 1",
"sample string 2"
],
"equipments": [
"sample string 1",
"sample string 2"
],
"zip": "sample string 14",
"distance": 1,
"number": "sample string 15",
"promotions": [
"sample string 1",
"sample string 2"
],
"locations": [
"sample string 1",
"sample string 2"
],
"guarantees": [
"sample string 1",
"sample string 2"
],
"hasguarantee": true,
"qualityseals": [
"sample string 1",
"sample string 2"
],
"hasqualityseal": true,
"servicepackages": [
"sample string 1",
"sample string 2"
],
"hasservicepackage": true,
"miniminimalism": true,
"bmwefficientdynamics": true,
"vicinityhomezipcode": "sample string 16"
}
Response Information
Resource Description
An ActionResult.
An instance of: stringResponse Formats
application/json, text/json
"sample string 1"